import { ExtendedSimpleNameEntry, SimpleNameEntry } from "@klyte45/adr-commons";
import { Component } from "react";
type State = {
    namesetData: Mutable<Omit<ExtendedSimpleNameEntry, "ChecksumString">>;
    editingIndex: number;
};
type Mutable<Type> = {
    -readonly [Key in keyof Type]: Type[Key];
};
type Props = {
    entryData: SimpleNameEntry;
    onBack: () => void;
    onOk: (x: State) => void;
};
export default class NamesetEditorCmp extends Component<Props, State> {
    constructor(props: Props | Readonly<Props>);
    render(): JSX.Element;
}
export {};
