import { Component } from "react";
import { ExtendedSimpleNameEntry } from "@klyte45/adr-commons";
type State = {
    availableNamesets: NamesetStructureTreeNode;
};
type NamesetStructureTreeNode = {
    rootContent: ExtendedSimpleNameEntry[];
    subtrees: Record<string, NamesetStructureTreeNode>;
};
type Props = {
    actionButtons?: (nameset: ExtendedSimpleNameEntry) => JSX.Element;
    onBack?: () => void;
};
export default class NamesetLibrarySelectorCmp extends Component<Props, State> {
    constructor(props: any);
    componentDidMount(): void;
    private updateNamesets;
    render(): JSX.Element;
}
export {};
