import { DistrictListItem } from "@klyte45/adr-commons";
import { AdrCitywideSettings, SimpleNameEntry } from "@klyte45/adr-commons";
import { Component } from "react";
declare enum TabsNames {
    Roads = "Roads",
    Citizen = "Citizen",
    District = "District"
}
type State = {
    simpleFiles?: SimpleNameEntry[];
    innerContextSimpleFiles?: SimpleNameEntry[];
    currentSettings?: AdrCitywideSettings;
    indexedSimpleFiles?: Record<string, SimpleNameEntry>;
    currentTab: TabsNames;
    districts?: DistrictListItem[];
    selectedDistrict?: DistrictListItem;
};
export declare class OverrideSettingsCmp extends Component<{}, State> {
    constructor(props: any);
    componentWillUnmount(): void;
    getSettings(): Promise<void>;
    listFiles(): Promise<void>;
    listDistricts(): Promise<void>;
    private getComponents;
    render(): JSX.Element;
}
export {};
