import { GitHubFileItem, GitHubTreeItem } from "@klyte45/adr-commons";
import { Component } from "react";
type State = {
    showing: Record<string, boolean>;
    currentTree?: GitHubTreeItem[];
    currentFiles?: GitHubFileItem[];
    loaded?: boolean;
    error?: boolean;
    resetDate?: Date;
};
type Props = {
    treeUrl: string | null;
    doWithGitHubData: (x: GitHubFileItem, i: number) => JSX.Element;
};
export declare class NamesetGitHubCategoryCmp extends Component<Props, State> {
    constructor(props: any);
    loadUrl(): Promise<void>;
    render(): JSX.Element;
    toggle(item: string): void;
}
export {};
